# Interface FeatureReadOptions

Options that can be passed into the various methods of data/FeatureSource!FeatureSource that retrieve features.

interface FeatureReadOptions {
cancelToken?: CancelToken;
outFields?: string[];
returnGeometry?: boolean;
}

#####
Index

### Properties

cancelToken?
outFields?
returnGeometry?

##
Properties

### `Optional` cancelToken

cancelToken?: CancelToken

An optional cancel token from a support/Cancellable!Cancellable that can be used to cancel the read operation.

### `Optional` outFields

outFields?: string[]

Fields that should be returned for each feature.

### `Optional` returnGeometry

returnGeometry?: boolean

Whether geometry for features should be returned.